import { AfterViewInit, ElementRef, OnInit, Renderer2 } from "@angular/core";
import { ControlValueAccessor, UntypedFormControl, Validator } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class QMSRichText implements OnInit, AfterViewInit, ControlValueAccessor, Validator {
    private elRef;
    private renderer;
    isDisabled: boolean;
    required: boolean;
    placeholder: string;
    _value: string;
    Editor: any[];
    configEditor: {
        placeholder: string;
        toolbar: {
            items: string[];
        };
        alignment: {
            options: string[];
        };
    };
    constructor(elRef: ElementRef, renderer: Renderer2);
    onChange: (_value: any) => void;
    onTouched: () => void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onChanged({ editor }: {
        editor: any;
    }): void;
    onBlur({ editor }: {
        editor: any;
    }): void;
    validate(c: UntypedFormControl): {
        type: {
            valid: boolean;
            actual: any;
        };
    };
    onReady(editor: any): void;
    private initEditor;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSRichText, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QMSRichText, "qms-rich-text", never, { "isDisabled": { "alias": "disabled"; "required": false; }; "required": { "alias": "required"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; }, {}, never, never, false, never>;
}
